OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.VertexArrayObject

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_vertex_array_object extension, see http://www.opengl.org/registry/specs/ARB/vertex_array_object.txt.

Synopsis

- glBindVertexArray :: GLuint -> IO ()
- glDeleteVertexArrays :: GLsizei -> Ptr GLuint -> IO ()
- glGenVertexArrays :: GLsizei -> Ptr GLuint -> IO ()
- glIsVertexArray :: GLuint -> IO GLboolean
- gl_VERTEX_ARRAY_BINDING :: GLenum

# Functions

glBindVertexArray :: GLuint -> IO ()

glDeleteVertexArrays :: GLsizei -> Ptr GLuint -> IO ()

glGenVertexArrays :: GLsizei -> Ptr GLuint -> IO ()

glIsVertexArray :: GLuint -> IO GLboolean

# Tokens

gl_VERTEX_ARRAY_BINDING :: GLenum